Package edu.claflin.finder.algo.spanningtree

# Class ExtremumSpanningTree

java.lang.Object
edu.claflin.finder.algo.Algorithm
edu.claflin.finder.algo.spanningtree.ExtremumSpanningTree

All Implemented Interfaces:
  `Processable<Graph,Graph>`

Direct Known Subclasses:
  `Kruskal`, `Prim`

public abstract class ExtremumSpanningTree extends Algorithm

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class edu.claflin.finder.algo.Algorithm

  `Algorithm.GraphSortOrder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `max`
  `protected Double`
  `threshold`

  ### Fields inherited from class edu.claflin.finder.algo.Algorithm

  `args, PROP_PROGRESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtremumSpanningTree(ArgumentsBundle bundle)`
  Public constructor for initializing the Extremum Spanning Tree finder with default conditions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `edgeMeetsThreshold(Edge e)`
  `protected String`
  `getName(Graph g, String algo, List<Edge> edges)`

  ### Methods inherited from class edu.claflin.finder.algo.Algorithm

  `addPropertyChangeListener, cull, getGraphSortOrder, getMinNodeCount, getPartiteNumber, getWeightName, removePropertyChangeListener, setGraphSortOrder, setMinNodeCount, setPartiteNumber, setProgress, setWeightName, zeropad`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface edu.claflin.finder.logic.processor.Processable

  `process`

- ## Field Details

  - ### max

    protected boolean max

  - ### threshold

    protected Double threshold

- ## Constructor Details

  - ### ExtremumSpanningTree

    public ExtremumSpanningTree(ArgumentsBundle bundle)
    Public constructor for initializing the Extremum Spanning Tree finder with default conditions.
    Parameters:
      `bundle` - the ArgumentsBundle containing the instantiation arguments.

- ## Method Details

  - ### getName

    protected String getName(Graph g, String algo, List<Edge> edges)

  - ### edgeMeetsThreshold

    protected boolean edgeMeetsThreshold(Edge e)